detekt-api
1.21.0-RC2

# Entity

data class Entity ( name: String , val signature: String , val location: Location , val ktElement: KtElement? = null) : Compactable
Content copied to clipboard

Stores information about a specific code fragment.

## Constructors

Entity
Link copied to clipboard
fun Entity ( name: String , className: String , signature: String , location: Location , ktElement: KtElement? = null)
Content copied to clipboard
Entity
Link copied to clipboard
fun Entity ( name: String , signature: String , location: Location , ktElement: KtElement? = null)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

compact
Link copied to clipboard
open override fun compact (): String
Content copied to clipboard

Contract to format implementing object to a string representation.

compactWithSignature
Link copied to clipboard
open fun compactWithSignature (): String
Content copied to clipboard

Same as compact except the content should contain a substring which represents this exact findings via a custom identifier.

## Properties

ktElement
Link copied to clipboard
val ktElement : KtElement? = null
Content copied to clipboard
location
Link copied to clipboard
val location : Location
Content copied to clipboard
signature
Link copied to clipboard
val signature : String
Content copied to clipboard